Clara-Backend
  1. User
Clara-Backend
  • Clara-Backend
    • Get Started
    • Quickstart (Rest API)
    • Quickstart (MCP Server)
    • Auth
      • Register
      • Google OAuth
      • Login
      • Logout
      • Change Password
      • Send OTP
      • Activate
      • Enable 2FA
      • Disable 2FA
    • User
      • View
      • Update
    • API Key
      • View
      • Reset
    • Transaction
      • View All
      • View
    • Task
      • View All
      • View
    • Agent
      • Supported Attachments
      • Analysis
    • Stripe
      • Rate
      • Portal
      • Buy
    • Misc
      • Health
      • Version
  • Flask Backend Boilerplate
    • Get Started
    • Quickstart
    • Auth
      • Register
      • Google OAuth
      • Login
      • Logout
      • Change Password
      • Send OTP
      • Activate
      • Enable 2FA
      • Disable 2FA
    • User
      • View
        GET
      • Update
        PATCH
    • Transaction
      • View All
      • View
    • Stripe
      • Rate
      • Portal
      • Buy
    • Misc
      • Health
      • Version
  1. User

Update

Prod Env
Prod Env
PATCH
/users/{user_id}
This endpoint lets a user update their account details on Clara. Certain fields cannot be changed and will be rejected if included.
Forbidden keys:
id
email
password
credits
is_2fa_enabled
is_active
created_at
updated_at

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Resource Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request PATCH '/users/user_ac19b010fec5428a8ae131596731b7c8' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "first_name": "Vibhanshu",
  "last_name": "Rathod",
  "is_dark_mode": false
}'
Response Response Example
200 - Success
{
  "data": {
    "created_at": "Wed, 26 Nov 2025 23:51:28 GMT",
    "credits": 0.0,
    "email": "hello@crazi.co",
    "first_name": "Vibhanshu",
    "id": "user_31e827070dcf44198ec11a9112a9a572",
    "is_2fa_enabled": false,
    "is_active": true,
    "is_dark_mode": false,
    "last_name": "Rathod",
    "updated_at": "Thu, 27 Nov 2025 00:20:54 GMT"
  },
  "message": "User updated successfully.",
  "status": "success"
}
Modified at 2025-12-10 10:18:35
Previous
View
Next
Transaction
Built with